Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.util.serializer
Class ExtendedDOMStreamer

    java.lang.Object
      org.exist.util.serializer.DOMStreamer
          org.exist.util.serializer.ExtendedDOMStreamer

public class ExtendedDOMStreamer
extends DOMStreamer

Author:
  wolf

Constructor Summary
`ExtendedDOMStreamer()`
`ExtendedDOMStreamer(Serializer xmlSerializer)`
`ExtendedDOMStreamer(Serializer xmlSerializer, org.xml.sax.ContentHandler contentHandler, org.xml.sax.ext.LexicalHandler lexicalHandler)`

Method Summary
`void` | `reset()` Reset internal state for reuse.
`void` | `setSerializer(Serializer serializer)`

Methods inherited from class org.exist.util.serializer.DOMStreamer
`serialize, serialize, setContentHandler, setLexicalHandler`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtendedDOMStreamer

    public ExtendedDOMStreamer()

### ExtendedDOMStreamer

    public ExtendedDOMStreamer(Serializer xmlSerializer)

### ExtendedDOMStreamer

    public ExtendedDOMStreamer(Serializer xmlSerializer,
                               org.xml.sax.ContentHandler contentHandler,
                               org.xml.sax.ext.LexicalHandler lexicalHandler)

Parameters:
  `contentHandler` -
  `lexicalHandler` -

Method Detail

### setSerializer

    public void setSerializer(Serializer serializer)

### reset

    public void reset()

  Description copied from class: `DOMStreamer`
  Reset internal state for reuse. Registered handlers will be set to null.

  Overrides:
    `reset` in class `DOMStreamer`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.